// creator  : weidu.exe (version 23600)
// argument : DELORN.DLG
// game     : .
// source   : ./override/DELORN.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~DELORN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~  ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #2863 /* ~What is this violation?! Explain your presence here!~ */
  IF ~  Global("ASSNUTS","GLOBAL",1)
~ THEN REPLY #2985 /* ~Give me your component to the skyship, or suffer the consequences!~ */ GOTO 1
  IF ~~ THEN REPLY #2986 /* ~My apologies, but I am new to the estate and have lost my way. I'll not disturb you again.~ */ GOTO 2
  IF ~~ THEN REPLY #2987 /* ~Stay your wrath! I know of your mission here, and would buy what you are guarding. Name your price.~ */ GOTO 4
  IF ~Global("X#DynaheirDelorna","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DynaheirDelorna","GLOBAL",1)~ EXTERN ~DYNAHJ~ 79
END

IF ~~ THEN BEGIN 1 // from: 4.1 3.1 0.0 DYNAHJ:79.0
  SAY #2988 /* ~I am a daughter of Shandalar, and no helpless maiden! If you wish what I guard, you'd best be strong enough to pull it from my grasp!~ */
  IF ~~ THEN DO ~ActionOverride("ITHMEERA",Enemy())
ActionOverride("HELSHARA",Enemy())
Enemy()
~ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 4.0 3.0 0.1 DYNAHJ:79.1
  SAY #2989 /* ~You are no servant! You're spies or worse. If you thought to take me by surprise you're sorely mistaken.~ */
  IF ~~ THEN DO ~ActionOverride("ITHMEERA",Enemy())
ActionOverride("HELSHARA",Enemy())
Enemy()
~ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~  ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN BEGIN 3 // from:
  SAY #2990 /* ~No servile duty makes you skulk about my room! It is as father warned and worse. Thieves in the very house we sought seclusion! Leave, lest this daughter of Shandalar put you in your grave!~ */
  IF ~~ THEN REPLY #2992 /* ~This is me leaving! I'll not return to bother you!~ */ GOTO 2
  IF ~~ THEN REPLY #2993 /* ~Hollow words from a frightened lass! Hand over the skyship component!~ */ GOTO 1
END

IF ~~ THEN BEGIN 4 // from: 0.2 DYNAHJ:79.2
  SAY #2991 /* ~Your offer is more of an insult than your presence in my private room! Leave now, lest you not be able to!~ */
  IF ~~ THEN REPLY #2995 /* ~This is me leaving! I'll not return to bother you!~ */ GOTO 2
  IF ~~ THEN REPLY #2996 /* ~Hollow words from a frightened lass! Hand over the skyship component!~ */ GOTO 1
END

IF ~~ THEN BEGIN 5 // from: 1.0
  SAY #2994 /* ~You are foolish to attack the spider in its chosen den! We are here because it's guarded, so you'll not fight only I! Help to me! We are infiltrated!~ */
  IF ~~ THEN DO ~ActionOverride("ITHMEERA",Enemy())
ActionOverride("HELSHARA",Enemy())
Enemy()
~ EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #7093 /* ~I am Delorna, a daughter of the great mage Shandalar. My father has given me the duty of selling certain components to the Grand Dukes of Baldur's Gate. They are vital to the construction of a Halruaan flying ship. You could likely do it for me, though. Take my component, if you wish; it is in the desk.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #9118 /* ~What you've done is wrong! You'll pay!~ */
  IF ~~ THEN EXIT
END
